Notus API
Smart wallets

Create Recurring Tax Export Schedule

Creates a recurring tax export schedule for a wallet and sends exports by email at the start of each month.

POST
/api/v1/wallets/{walletAddress}/tax-export/schedules
x-api-key<token>

In: header

Path Parameters

walletAddressstring

Wallet address used for recurring tax exports

emailstring

Email address to receive recurring tax exports

Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
individualobject

Tax identity used to generate recurring tax exports

emailCustomization?object
recurrencePresetstring

Recurrence preset for the schedule

Value in"MONTHLY_START"
timezone?string

IANA timezone. Defaults to America/Sao_Paulo

Response Body

curl -X POST "https://api.notuslabs.xyz/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/tax-export/schedules" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "individual": {      "type": "individual",      "individualId": "string"    },    "recurrencePreset": "MONTHLY_START"  }'
Empty
{
  "statusCode": 400,
  "id": "INVALID_TAX_EXPORT_SCHEDULE_TIMEZONE",
  "message": "Invalid timezone for tax export schedule"
}
{
  "statusCode": 404,
  "id": "ACCOUNT_ABSTRACTION_ADDRESS_NOT_REGISTERED_WITH_PROJECT",
  "message": "The requested wallet \"0x335e110f9aa64deef43b646b4bdf90aac3c7844c\" is not registered with the project"
}
{
  "statusCode": 409,
  "id": "TAX_EXPORT_SCHEDULE_ALREADY_EXISTS",
  "message": "A recurring tax export with this preset already exists"
}
{
  "statusCode": 500,
  "id": "FAILED_TO_PUBLISH_TAX_EXPORT_SCHEDULE_MESSAGE",
  "message": "Failed to schedule recurring tax export"
}